//
//  ConnectView.m
//  iOS
//
//  Created by leesk on 12. 1. 13..
//  Copyright 2012. All rights reserved.
//

#import "ConnectView.h"


@implementation ConnectView

@synthesize ipAddressField;
@synthesize portNumberField;
@synthesize connectButton;

// The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
/*
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization.
    }
    return self;
}
*/

// TextField input done. - hiding keyboard.
- (IBAction) textFieldDoneEditing:(id) sender
{
    [sender resignFirstResponder];
}

- (IBAction) backgroundTab:(id) sender
{
    // NSLog(@"pressed");
    [ipAddressField resignFirstResponder];
}

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad 
{
    [super viewDidLoad];
	[ipAddressField setText:@"192.168.1.246"];
    [portNumberField setText:@"9100"];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations.
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc
{
    [sampleView dealloc];
    [super dealloc];
}

- (void) messageBox:(NSString *) message withTitle:(NSString *) title
{
    UIAlertView * alert = [[UIAlertView alloc] initWithTitle:title message:message delegate:nil cancelButtonTitle:@"OK" otherButtonTitles:nil,nil];
    [alert show];
    [alert release];
}

- (IBAction) connectProc:(id) sender
{
	long errCode = 0;
    NSString * ip = [ipAddressField text];
	NSLog(@"IP %@",ip);
	cpclPrinter = [[CPCLPrinter alloc] init];
//	if((errCode = [cpclPrinter openPort:ip withPortParam:9100]) >= 0)
    if((errCode = [cpclPrinter openPort:ip withPortParam:[[portNumberField text] intValue]]) >= 0)
	{
		NSLog(@"Connection Established.");
		sampleView = [[SampleView alloc] initWithCPCLPrinter:cpclPrinter];
//		[self presentModalViewController:sampleView animated:YES];
        [self presentViewController:sampleView animated:YES completion:nil];
	}
	else if(errCode == -3)
	{
        [cpclPrinter release];
		NSLog(@"err Conn -3");
	}
	else
	{
        [cpclPrinter release];
		NSLog(@"err Conn else");
	}
}

@end
