//
//  ESCPOS_ViewController.h
//  iOS
//
//  Created by leesk on 11. 11. 9..
//  Copyright 2011. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "ESCPOSPrinter.h"

#define RGB(r, g, b) [UIColor colorWithRed:r/255.0 green:g/255.0 blue:b/255.0 alpha:1]

@interface ESCPOS_ViewController : UIViewController
{
	UITextField *ipAddressField;
	UIButton *openButton;
	UIButton *closeButton;
	UIButton *sample01_Button;	
	UIButton *sample02_Button;	
	UIButton *sample03_Button;	
	UIButton *sample04_Button;	
	UIButton *sample05_Button;	
	UIButton *sample06_Button;	
	UIButton *sample07_Button;	
	UIButton *sample08_Button;
	
	ESCPOSPrinter *escp;
}

@property (nonatomic, retain) IBOutlet UITextField *ipAddressField;
@property (nonatomic, retain) IBOutlet UIButton *openButton;
@property (nonatomic, retain) IBOutlet UIButton *closeButton;
@property (nonatomic, retain) IBOutlet UIButton *sample01_Button;
@property (nonatomic, retain) IBOutlet UIButton *sample02_Button;
@property (nonatomic, retain) IBOutlet UIButton *sample03_Button;
@property (nonatomic, retain) IBOutlet UIButton *sample04_Button;
@property (nonatomic, retain) IBOutlet UIButton *sample05_Button;
@property (nonatomic, retain) IBOutlet UIButton *sample06_Button;
@property (nonatomic, retain) IBOutlet UIButton *sample07_Button;
@property (nonatomic, retain) IBOutlet UIButton *sample08_Button;


- (IBAction) connectCommand:(id) sender;
- (IBAction) sample01Proc:(id) sender;
- (IBAction) sample02Proc:(id) sender;
- (IBAction) barcode1DTestProc:(id) sender;
- (IBAction) BitmapTestProc:(id) sender;
- (IBAction) LogoTestProc:(id) sender;
- (IBAction) pdf417TestProc:(id) sender;
- (IBAction) qrcodeTestProc:(id) sender;
- (IBAction) printerCheckProc:(id) sender;

- (IBAction) disconnectCommand:(id) sender;
- (IBAction) textFieldDoneEditing:(id) sender;
- (IBAction) backgroundTab:(id) sender;

@end

