//
//  ZPL_ViewController.h
//  iOS
//
//  Created by Sangok OH on 15. 7. 28..
//  Copyright 2015. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "ZPLPrinter.h"
#import "CallbackData.h"
#import "EABluetoothPort.h"

#define RGB(r, g, b) [UIColor colorWithRed:r/255.0 green:g/255.0 blue:b/255.0 alpha:1]

@interface ZPL_ViewController : UIViewController
{
	UITextField *ipAddressField;
    UITextField *portNumberField;

    UIButton *openButton;
	UIButton *closeButton;
	UIButton *sample01_Button;	
	UIButton *sample02_Button;	
	UIButton *sample03_Button;	
	UIButton *sample04_Button;	
	UIButton *sample05_Button;	
	UIButton *sample06_Button;	

	ZPLPrinter *zplPrinter;
}

@property (nonatomic, retain) IBOutlet UITextField *ipAddressField;
@property (nonatomic, retain) IBOutlet UITextField *portNumberField;

@property (nonatomic, retain) IBOutlet UIButton *openButton;
@property (nonatomic, retain) IBOutlet UIButton *closeButton;
@property (nonatomic, retain) IBOutlet UIButton *sample01_Button;
@property (nonatomic, retain) IBOutlet UIButton *sample02_Button;
@property (nonatomic, retain) IBOutlet UIButton *sample03_Button;
@property (nonatomic, retain) IBOutlet UIButton *sample04_Button;
@property (nonatomic, retain) IBOutlet UIButton *sample05_Button;
@property (nonatomic, retain) IBOutlet UIButton *sample06_Button;


- (IBAction) connectCommand:(id) sender;
- (IBAction) disconnectCommand:(id) sender;
- (IBAction) printTextProc:(id) sender;
- (IBAction) printGeometryProc:(id) sender;
- (IBAction) barcode1DTestProc:(id) sender;
- (IBAction) ImageTestProc:(id) sender;
- (IBAction) barcode2DTestProc:(id) sender;
- (IBAction) statusTestProc:(id) sender;

- (IBAction) textFieldDoneEditing:(id) sender;
- (IBAction) backgroundTab:(id) sender;

@end

